Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F165624772
D57995.id181180.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D57995.id181180.diff
View Options
Index: sys/conf/newvers.sh
===================================================================
--- sys/conf/newvers.sh
+++ sys/conf/newvers.sh
@@ -260,21 +260,23 @@
if [ -n "$git_cmd" ] ; then
git=$($git_cmd rev-parse --verify --short=12 HEAD 2>/dev/null)
- if [ "$($git_cmd rev-parse --is-shallow-repository)" = false ] ; then
- git_cnt=$($git_cmd rev-list --first-parent --count HEAD 2>/dev/null)
- if [ -n "$git_cnt" ] ; then
- git="n${git_cnt}-${git}"
+ if [ $? -eq 0 ]; then
+ if [ "$($git_cmd rev-parse --is-shallow-repository)" = false ] ; then
+ git_cnt=$($git_cmd rev-list --first-parent --count HEAD 2>/dev/null)
+ if [ -n "$git_cnt" ] ; then
+ git="n${git_cnt}-${git}"
+ fi
fi
+ git_b=$($git_cmd rev-parse --abbrev-ref HEAD)
+ if [ -n "$git_b" -a "$git_b" != "HEAD" ] ; then
+ git="${git_b}-${git}"
+ fi
+ if git_tree_modified; then
+ git="${git}-dirty"
+ modified=yes
+ fi
+ git=" ${git}"
fi
- git_b=$($git_cmd rev-parse --abbrev-ref HEAD)
- if [ -n "$git_b" -a "$git_b" != "HEAD" ] ; then
- git="${git_b}-${git}"
- fi
- if git_tree_modified; then
- git="${git}-dirty"
- modified=yes
- fi
- git=" ${git}"
fi
if [ -n "$gituprevision" ] ; then
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sun, Aug 9, 8:42 PM (2 h, 56 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
36338693
Default Alt Text
D57995.id181180.diff (1 KB)
Attached To
Mode
D57995: newvers.sh: Avoid spurious -dirty in git revision
Attached
Detach File
Event Timeline
Log In to Comment